<template>
	<view>
		<view class="" v-for="(item,index) in list" :key="index">
			<view  class="fzctob sclixmy" @click="todetail(item.id,item.state,item.data)" >
				<view class="sckjert" style="overflow: hidden;">
					<image :src="item.imglist" style="width: 100%; height: 100%;" mode="aspectFill"></image>
				</view>
				<view class="fsxto" style="width: 100%;margin-left: 24rpx;">
					<view class="cphrry"><text>{{item.title}}</text></view>
					<view class="cptxtyra"><text>下单时间：{{item.create_time | date('yyyy-mm-dd  hh:MM')}}</text></view>
					<view class="flztoa">
						 <text class="cpkkry">数量: 1</text>
						 <text class="cpkkrya">总价￥{{item.price}}</text>
					</view>
				</view>
			</view>
		</view> 
	</view>
</template>
<script>
	export default {
		data() {
			return {
				background: {
					backgroundColor: '#ffffff',
				},
				hhyanm: {
					color: '#FFFFFF',
				},
                list:[]
			}
		},
        onLoad() {
            this.getList()
        },
        methods:{
            getList(){
                this.$post({
                    data:{
                        do:'MyExamination',
                        data:{
                            user_id:uni.getStorageSync('id')
                        }
                    }
                }).then(res=>{
										res.data.map(item=>{
											item.data = JSON.parse(item.data)
											item.result = JSON.parse(item.result)
										})
                    this.list = res.data
										console.log(this.list)
                })
            },
            todetail(id,state,list){
							if(state==1){
								uni.navigateTo({
								    url:'/pages/user/cp-jg?id='+id+'&state='+state+'&list='+encodeURIComponent(JSON.stringify(list))
								})
							}else{
								uni.navigateTo({
								    url:'/pages/user/cp-fa?id='+id
								})
							}
                
            }
        }


	}
</script>
<style>
	page {
		background: #FAFAFA;
	}
</style>
<style lang="scss" scoped>
 
</style>
